# include "data.h"

int dot (int argc, char **argv) {
  
  Graphdata graphmode;
  float x, y;

  if (!style_args (&graphmode, &argc, argv, -1)) return FALSE;

  if (argc != 3) {
    gprint (GP_ERR, "USAGE: plot <x> <y>\n");
    return (FALSE);
  }
  x = atof(argv[1]);
  y = atof(argv[2]);

  /* set plotting options (these are sticky) */
  SetGraph (graphmode);

  /* set point style and errorbar mode (these are NOT sticky) */
  graphmode.style = 2;
  graphmode.etype = 0;

  if (!PrepPlotting (1, &graphmode)) return (FALSE);
  
  PlotVector (1, &x);
  PlotVector (1, &y);
  
  return (TRUE);
}
